DBGINFO.SH(8)

NAME
dbginfo.sh - collect runtime, configuration and trace information for debugging Linux on IBM Z

SYNOPSIS
dbginfo.sh [OPTIONS]
dbginfo.sh {-h|-c|-v}

DESCRIPTION
This script collects runtime, configuration and trace information that can be used to debug a Linux on IBM Z instance. For Linux on z/VM, the script also traces information about the z/VM system. Virtualization platform data is collected on a host serving this. The debug information is written to a file /<DIRECTORY>/DBGINFO-<date>-<time>-<hostname>-<processorid>.tgz where [date] and [time] are the date and time when the debug data was collected. [hostname] indicates the hostname of the system the data was collected from. The [processorid] is taken from the processor 0 and indicates the processor identification.

OPTIONS

-h, --help
    Print usage information, then exit.

-v, --version
    Print version information, then exit.

-d <DIRECTORY>, --directory <DIRECTORY>
    Specify the DIRECTORY where the data collection stores the temporary data and the final archive. The specified directory must already exist. If this parameter is not specified, /tmp is used by default.

-c, --check
    Print online quick check (not saving any data) - can be combind with a preceding -d option.

FILES
A .tgz file of the form

    DBGINFO-<year>-<month>-<day>-<hours>-<minutes>-<seconds>-<hostname>-<processorid>.tgz
is generated and placed in the /tmp directory or in the directory specified by the -d option.

EXAMPLE
Sample invocation:

[root@host]# dbginfo.sh -d /data-collection
dbginfo.sh: Debug information script version %S390_TOOLS_VERSION%
Copyright IBM Corp. 2002, 2024

Hardware platform = s390x
Runtime environment = z/VM - DPM: NO
Kernel version = 5.14.0 (5.14.0-162.6.1.el9_1.s390x)
OS version / distro = Red Hat Enterprise Linux 9.1 (Plow)
Date and time of info = 2023-12-22-11-43-08

1 of 19: Collecting sysfs

2 of 19: Collecting procfs

3 of 19: Collecting config files

4 of 19: Collecting initrd config files

5 of 19: Collecting command output

6 of 19: Collecting hyptop for z/VM - 5s output

7 of 19: Collecting z/VM output

8 of 19: Collecting network output

9 of 19: Collecting osa oat output

10 of 19: Collecting ethtool output

11 of 19: Collecting Trafic Control output

12 of 19: Collecting bridge output

13 of 19: Skip OpenVSwitch: ovs-vsctl not available

14 of 19: Skip KVM: no virsh command

15 of 19: Collecting container host output

 Kubernetes ...
16 of 19: Collecting NVME storage output

17 of 19: Collecting log files

 0 logfiles over 50 MB

18 of 19: Postprocessing

19 of 19: Finalizing: Creating archive with collected data

Collected data was saved to:
 >> /data-collection/DBGINFO-2023-12-22-11-43-08-host-012345.tgz <<
Please review all collected data before sending to your service organization.

HINTS
Run the script with root authority.
For Linux on z/VM, only z/VM guest virtual machines with class B privileges yield the complete debug information.

AUTHOR
Linux on IBM Z development <linux390@de.ibm.com>